#include "CivInpDirector.h"
#include "CivInpBuilder.h"


void CivInpDirector::setBuilder(CivInpBuilder* builder)
{
	mBuilder = builder;
}

void CivInpDirector::create()
{
	if (mBuilder == NULL)
		return;

	mBuilder->buildTank();
	mBuilder->buildReservoir();
	mBuilder->buildNode();
	mBuilder->buildPipe();
	mBuilder->buildPump();
	mBuilder->buildVavle();
	mBuilder->buildEmitter();
	mBuilder->buildPatterns();
	mBuilder->buildParamter();
	mBuilder->buildCoordnates();
	mBuilder->buildVertices();
	mBuilder->buildLabels();
	mBuilder->buildTags();
	mBuilder->buildBackDrop();
	mBuilder->buildQuality();
	mBuilder->buildSources();
	mBuilder->buildMixing();
	mBuilder->buildCurves();
	mBuilder->buildStatus();
	mBuilder->buildControls();
	mBuilder->buildRules();
	mBuilder->buildDemands();
}